<?xml version="1.0" encoding="utf-8" ?>
<configuration>
	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
	</configSections>
	<log4net>
		<!-- 文件存储日志配置 -->
		<appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
			<!--日志路径(可修改) .\\当前目录-->
			<param name= "File" value= ".\\Log\\"/>
			<!--是否是向文件中追加日志-->
			<param name= "AppendToFile" value= "true"/>
			<!--log保留天数-->
			<param name= "MaxSizeRollBackups" value= "10"/>
			<!--日志文件名是否是固定不变的-->
			<param name= "StaticLogFileName" value= "false"/>
			<!--日志文件名格式为:2008-08-31.log-->
			<param name= "DatePattern" value= "yyyy-MM-dd&quot;.log&quot;"/>
			<!--日志根据日期滚动-->
			<param name= "RollingStyle" value= "Date"/>
			<layout type="log4net.Layout.PatternLayout">
				<param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n %loggername" />
			</layout>
		</appender>
		<!--指定日记记录方式，以滚动文件的方式（文件记录）-->
		<appender name="FileAppender" type="log4net.Appender.RollingFileAppender">
			<!--日志路径-->
			<param name= "File" value= ".\\Log\\"/>
			<!--是否是向文件中追加日志-->
			<param name= "AppendToFile" value= "true"/>
			<!--log保留天数-->
			<param name= "MaxSizeRollBackups" value= "10"/>
			<!--每个文件最大1M-->
			<param name="maximumFileSize" value="1MB" />
			<!--日志文件名是否是固定不变的-->
			<param name= "StaticLogFileName" value= "false"/>
			<!--日志文件名格式为:2008-08-31.log-->
			<param name= "DatePattern" value= "yyyy-MM-dd&quot;.log&quot;"/>
			<!--日志根据日期滚动-->
			<param name= "RollingStyle" value= "Date"/>
			<!--布局-->
			<layout type="log4net.Layout.PatternLayout">
				<param name="ConversionPattern" value="%n记录时间：%d{yyyy-MM-dd HH:mm:ss fff} 线程名：[%t] 级别：%p 类名：%c 信息：%m%n" />
				<param name="Header" value="----------------------------------------------------------- "/>
			</layout>
		</appender>

		<root>
			<level value="info" />
			<appender-ref ref="FileAppender" />
		</root>
	</log4net>
</configuration>